Name:           docbook2X
Version:        0.8.6
Release:        1%{?dist}
Summary:        Convert docbook into man and Texinfo

Group:          Applications/Text
License:        BSD
URL:            http://docbook2x.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/docbook2x/docbook2X-%{version}.tar.gz

# modify Makefile.in to replace make install_perl by make install_vendor
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxslt openjade
# required by the perl -c calls during build
BuildRequires:  perl-XML-SAX
# rpmlint isn't happy with libxslt, but we need xsltproc
Requires:       libxslt openjade texinfo
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
docbook2X converts DocBook documents into man pages and Texinfo
documents.


%prep
%setup -q

%build
# to avoid clashing with docbook2* from docbook-utils
%configure --program-transform-name='s/docbook2/db2x_docbook2/'
make %{?_smp_mflags}
mkdir html
cp doc/*.html html


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name 'perllocal.pod' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING README THANKS AUTHORS html/
%{_bindir}/db2x_manxml
%{_bindir}/db2x_texixml
%{_bindir}/db2x_xsltproc
%{_bindir}/db2x_docbook2man
%{_bindir}/db2x_docbook2texi
%{_bindir}/sgml2xml-isoent
%{_bindir}/utf8trans
%{_datadir}/docbook2X/
%{_mandir}/man1/*
%{_infodir}/docbook2*


%changelog
* Fri Feb 17 2006 Patrice Dumas <dumas@centre-cired.fr> - 0.8.6-1
- update to 0.8.6
- drop patch as SGMLSpl.pm is included in the scripts, not distributed
- BR perl-XML-SAX (close 188481)

* Fri Feb  3 2006 Patrice Dumas <dumas@centre-cired.fr> - 0.8.5-1
- FE submission
